Summary:	Note-taking application
Name:		gnote
Version:	3.6.2
Release:	%mkrel 1
Group:		Graphical desktop/GNOME
License:	GPLv3 
URL:		http://live.gnome.org/Gnote
Source0:       http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: boost-devel
BuildRequires: libuuid-devel
BuildRequires: libext2fs-devel
BuildRequires: libxslt-devel
BuildRequires: libgtkspell-devel
BuildRequires: dbus-c++-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires:      glibc >= 2.16
Requires:      libstdc++6 >= 4.7.2 

%description
Gnote is a simple desktop note-taking application for GNOME. 
Easy to use, but with potential to help you organize the ideas and
information you deal with every day. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

This is a clone of Tomboy, in C++.

%prep
%setup -q


%build
export CXXFLAGS="%optflags  -DBOOST_FILESYSTEM_VERSION=2"
%configure2_5x --with-gnu-ld --disable-schemas-install 
%make

%install
%makeinstall_std
%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;
rm -rf %{buildroot}/%{_libdir}//libgnote.so


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%define schemas gnote

%preun
%preun_uninstall_gconf_schemas %{schemas}

%post
%{update_menus}
%post_install_gconf_schemas %{schemas}

%postun
%{clean_menus}


%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
/*


%changelog
* Mon Jun 17 2013 Texstar <texstar at gmail.com> 3.6.2-1pclos2013
- update

* Mon May 02 2011 Texstar <texstar at gmail.com> 0.7.4-1pclos2011
- 0.7.4

* Sat Apr 09 2011 Texstar <texstar at gmail.com> 0.7.3-2pclos2011
- fix post scripts

* Tue Apr 05 2011 Sproggy <desproggster at gmail.com> 0.7.3-1pclos2011
- initial build for PCLOS
